Skip to main content
CodivDocs

List pages

Returns all pages in a project, sorted alphabetically by path.

GET/projects/{id}/pages

Authorization

Requires: BearerAuth

Path parameters

idstring (uuid)pathrequired
Project UUID

Query parameters

versionstringquerydefault: latest
Page version to list (defaults to `latest`)

Response

200Array of pages

dataobject[]
List pages
curl --request GET \
  --url 'https://api.codivdocs.com/v1/projects/{id}/pages' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "path": "<string>",
      "title": "<string>",
      "version": "<string>",
      "source_mdx": "<string>",
      "updated_at": "2026-04-13T03:27:16.738Z",
      "description": "<string>",
      "compiled_html": "<string>"
    }
  ]
}